package main

import (
	"fmt"

	"github.com/spf13/viper"
)

func main() {
	viper.SetConfigName("config") // 配置文件名称（不需要带后缀）
	viper.SetConfigType("toml")   // 配置文件类型
	viper.AddConfigPath(".")      // 配置文件路径

	err := viper.ReadInConfig() // 读取配置文件
	if err != nil {
		fmt.Printf("配置文件读取失败: %v\n", err)
		return
	}
	fmt.Println(viper.GetString("app_name"))
	fmt.Println(viper.GetInt("port"))
	fmt.Println(viper.GetString("database.host"))
	fmt.Println(viper.GetInt("database.port"))
	fmt.Println(viper.GetString("database.user"))
	fmt.Println(viper.GetString("database.password"))
}
